

#include <stdint.h>
#include "lcd.h"
#include <avr/io.h>
#define F_CPU 16000000
#include <util/delay.h>
uint8_t pixel[64][8];
//fucntii care vor lucra pe matricea de [64][8]
uint8_t getPixelValue(int x,int y)
{
    return (pixel[y][x/8] & ( 1 << (x%8)));    
}

void setPixelValue(int x,int y)
{
    pixel[y][x/8] |= ( 1 << (x%8));  
}

void clearPixelValue(int x,int y)
{
    pixel[y][x/8] &= ~( 1 << (x%8));  
}

enum dir {north,east,south,west};
struct p1{
	uint8_t x;
	uint8_t y;
	enum dir direction;
}player1;

struct p2{
	uint8_t x;
	uint8_t y;
	enum dir direction;
}player2;


int main(void){
	player1.direction=east;
	player2.direction=west;
	uint8_t xx1=10,yy1=10,xx2=60,yy2=60;
  uint8_t x, y, z = 0;
  lcd_init();
	for(x = 0; x < 8; ++x) {
		setPixelValue(9,x);

	}
  
  lcd_set_cursor(0, 11);
  lcd_putstr("TRON 1V1");
  lcd_set_cursor(2, 11);
  lcd_putstr("WELCOME");
  lcd_set_cursor(3, 11);
  lcd_putstr("USER");
	
  while(1) {
	
	//fiecare buton are un if
	if ((PINA & (1 << PA0)) == 0) {
		yy1++;
		lcd_setbit(xx1, yy1, 1);
		_delay_ms(25);
		player1.direction=south;
	
	}
	if ((PINA & (1 << PA3)) == 0) {
		xx1++;
		lcd_setbit(xx1, yy1, 1);
		_delay_ms(25);
		player1.direction=east;
	
	}
	if ((PINA & (1 << PA1)) == 0) {
		yy1--;
		lcd_setbit(xx1, yy1, 1);
		_delay_ms(25);
		player1.direction=north;
	
	}
	if ((PINA & (1 << PA2)) == 0) {
		xx1--;
		lcd_setbit(xx1, yy1, 1);
		_delay_ms(25);
		player1.direction=west;
	
	}
	if ((PINA & (1 << PA4)) == 0) {
		yy2++;
		lcd_setbit(xx2, yy2, 1);
		_delay_ms(25);
		player2.direction=south;
	
	}
    if ((PINA & (1 << PA5)) == 0) {
		xx2--;
		lcd_setbit(xx2, yy2, 1);
		_delay_ms(25);
		player2.direction=west;
	
	}
	if ((PINA & (1 << PA6)) == 0) {
		yy2--;
		lcd_setbit(xx2, yy2, 1);
		_delay_ms(25);
		player2.direction=north;
	
	}
	if ((PINA & (1 << PA7)) == 0) {
		xx2++;
		lcd_setbit(xx2, yy2, 1);
		_delay_ms(25);
		player2.direction=east;
	}
	//verific directia si incrementez pozitia fiecarui jucator
	switch(player1.direction){
		case north: yy1--; break;
		case east:	xx1++; break;
		case west:	xx1--; break;
		case south: yy1++; break;
	}
	switch(player2.direction){
		case north: yy2--; break;
		case east: xx2++; break;
		case west: xx2--; break;
		case south: yy2++; break;
	}
	//plasez pixeli pe lcd
	lcd_setbit(xx1, yy1, 1);
	lcd_setbit(xx2, yy2, 1);
	lcd_flush();
	_delay_ms(150); //delay al jocului

}
  
  return 0;
}


